:root {
    --bg-color: #ffffff;
    --text-color: #000000;
    --card-bg: #f8f9fa;
    --border-color: #000000;
    --accent-color: #3F72AF;
    --load-color: #3F72AF;
    --shadow-color: #000000;
    --btn-text: #ffffff;
}

/* LIGHT MODE OVERRIDES */
body.dark-theme {
    /* DEFAULT: DARK MODE */
    --bg-color: #0c0c0c;
    --text-color: #ffffff;
    --card-bg: #1a1a1a;
    --border-color: #ffffff;
    /* --accent-color: #A3C7D6;
    --load-color: #f7d51d; */
    --accent-color: #ED985F;
    --load-color: #ED985F;

    /* --accent-color: #f7d51d;
    --load-color: #f7d51d; */
    --shadow-color: #2a2a2a;
    --btn-text: #000000;

}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'IBM Plex Mono', monospace;
}

*::selection {
    color: var(--bg-color);
    background-color: var(--load-color);
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    line-height: 2rem;
    padding: 2em;
    transition: background-color 0.2s, color 0.2s;
}

.contGeneral {
    max-width: 1000px;
    margin: 0 auto;
}

.cambioTema {
    display: flex;
    align-items: center;
    gap: 1em;
    float: right;
    margin-bottom: 2rem;
    gap: 1rem;
}

.cont-dezp {
    display: flex;
    align-items: center;
    width: 4em;
    height: 2em;
    margin: 0 auto;
    background-color: var(--shadow-color);
    padding: 0.5em;
    border: 2px solid var(--border-color);
    cursor: pointer;
}

.cont-switch {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: 1.35em;
    background-color: white;
    margin-left: 0%;
    transition: margin-left .3s ease-in;
}

.cambio {
    margin-left: 50%;
    transition: margin-left .3s ease-in;
}

.temaL {
    font-size: 0.8rem;
    font-weight: 700;
    text-transform: uppercase;
}

.cabecera {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-bottom: 1rem;
    border-bottom: 4px solid var(--border-color);
    padding-bottom: 3rem;
    clear: both;
}

.tituloCab {
    display: flex;
    flex-direction: column;
}


.nombre {
    flex-wrap: wrap;
    font-size: 2.5rem;
}

.v3 {
    color: var(--accent-color);
}

.p-carrera {
    background-color: var(--accent-color);
    color: var(--btn-text);
    font-weight: 500;
    margin: .3em 0 1em;
    padding: 5px 10px;
    font-size: 1.2rem;
    width: fit-content;

}

.links {
    border: 3px solid var(--border-color);
    padding: .4em 1.1rem;
    color: var(--text-color);
    text-decoration: none;
    font-weight: bold;
    font-size: 1.1rem;
}

.links:hover {
    color: var(--btn-text);
    background-color: var(--accent-color);
}

.links:active {
    transform: translate(-3px, -3px);
}

.cont-links {
    display: flex;
    gap: 1.2rem;
}

.card-sobremi {
    display: flex;
    flex-direction: column;
    border: 3px solid var(--border-color);
    padding: 2em;
    box-shadow: 8px 8px 0 var(--shadow-color);
    gap: 1em;
}

.text-p {
    font-size: 1rem;
    line-height: 1.5;
    text-align: left;
}

.interes {
    display: flex;
    flex-direction: row;
    font-weight: bold;
    gap: 1em;
    color: var(--accent-color);
}

.interes span {
    background-color: var(--card-bg);
    padding: 0.2em 0.5em;
    border: 2px solid var(--border-color);
    font-size: .9rem;
    transition: transform 0.2s, background-color 0.2s;
    box-shadow: 3px 3px 0 var(--accent-color);
}

.interes span:hover {
    background-color: var(--accent-color);
    color: var(--btn-text);
    transform: translateY(-3px);
}

/* Diseño de las opciones y valores. */
.principal {
    display: flex;
    flex-direction: column
}

.cont-Tecnologia {
    display: flex;
    flex-direction: column;
    margin-bottom: 1em;
    gap: .5em;
}


.tit-exp {
    display: flex;
    padding: .7em 0;
    flex-wrap: wrap;
}

.calificacion {
    font-weight: bold;
    white-space: pre;
    font-size: 1.2rem;
}

.cont-nav {
    padding-bottom: 1em;
    border-bottom: 4px solid var(--border-color);
    margin-bottom: 1em;

}

.cont-botones {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: .5em;
}

.cont-botones button {
    font-size: 1rem;
    border: 3px solid var(--border-color);
    background-color: var(--bg-color);
    color: var(--text-color);
    padding: .5em 1em;
    cursor: pointer;
}

.btn-temas {
    background: var(--bg-color);
    border: 2px solid var(--border-color);
    color: var(--text-color);
}

.btn-temas.activo {
    background: var(--text-color);
    color: var(--bg-color);
    border-color: var(--accent-color);
    box-shadow: 4px 4px 0px var(--accent-color);
}

.cont-proyectos {
    display: flex;
    flex-direction: column;
    padding-bottom: 2em;
    border-bottom: 3px solid var(--border-color);
    margin-bottom: 1em;
}

.card {
    display: flex;
    flex-direction: column;
    border: 3px solid var(--border-color);
    box-shadow: 8px 8px 0 var(--shadow-color);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card:hover {
    transform: translate(-4px, -4px);
    box-shadow: 12px 12px 0 var(--accent-color);
}


.cont-media {
    aspect-ratio: 16/9;
    overflow: hidden;
    width: 100%;
    object-fit: cover;
}

/* Contenedor de imagenes y videos*/
.cont-media {
    width: 100%;
    aspect-ratio: 16/9;
    overflow: hidden;
    background-color: var(--bg-color);
}

/* Imagen de Proyecto */
.img-proyect {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    display: block;
}

/* Video YT */
.videoYT {
    width: 100%;
    height: 100%;
    border: none;
    display: block;
}

.btn-dirigir {
    color: var(--bg-color);
    background-color: var(--text-color);
    padding: .5em 1em;
    font-size: 15px;
    font-weight: bold;
    width: fit-content;
    text-decoration: none;
}

.cont-infoProyect {
    display: flex;
    flex-direction: column;
    gap: .5em;
    padding: 1em
}

/* Diseño para el formulario de contacto */
.cont-form {
    margin-top: 3em;
    padding: 2em;
    border: 3px solid var(--border-color);
    box-shadow: 8px 8px 0 var(--shadow-color);
    background-color: var(--card-bg);
}

.infoExtra {
    font-size: .88rem;
    text-align: center;
    padding: .5em 0
}

.btn-mensaje {
    margin: auto;
    background-color: var(--bg-color);
    border: 3px solid var(--border-color);
    color: var(--text-color);
    padding: .4em .7em;
    font-size: 1.1rem;
    cursor: pointer;
}

.btn-mensaje:hover {
    background: var(--accent-color);
    border-top: 3px solid var(--accent-color);
    color: var(--bg-color);
    transform: translate(-3px, -3px);
    box-shadow: 9px 9px 0px var(--shadow-color);
}

.cont-cabForm {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: .5em
}

.form-user {
    display: flex;
    flex-direction: column;
    margin-top: 1em;
    gap: 1.5rem;
}

label {
    font-weight: bold;
    font-size: 0.9rem;
}

/* Este contendor estara en columna en dispositivos mobiles, pero en desktop sera en row */
.cont-datos {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: .3em;
}

.cont-input,
.cont-grupo {
    display: flex;
    flex-direction: column;
    gap: .3em;
}

.cont-input input,
.cont-grupo input,
textarea {
    width: 100%;
    color: var(--text-color);
    background-color: var(--bg-color);
    border: 3px solid var(--border-color);
    padding: 1em;
    font-size: 1rem;
    transition: transform 0.1s;
}

.cont-grupo textarea {
    resize: vertical;
    min-height: 120px;
}

.cont-input input:focus,
.cont-grupo input:focus,
textarea:focus {
    transform: translate(-3px, -3px);
    box-shadow: 5px 5px 0 var(--accent-color);
    border: 3px solid var(--accent-color);
    outline: none;
}

.btn-enviar {
    background: var(--text-color);
    color: var(--bg-color);
    border: 3px solid var(--border-color);
    padding: 1em;
    font-weight: bold;
    font-size: 1.1rem;
}

.btn-enviar:hover {
    background: var(--accent-color);
    color: var(--bg-color);
    transform: translate(-3px, -3px);
    box-shadow: 9px 9px 0px var(--shadow-color);
}

.btn-enviar:active {
    transform: translate(3px, 3px);
    box-shadow: 0px 0px 0px;
}

.form-feedback {
    padding: 10px;
    border: 2px solid var(--border-color);
    font-weight: 700;
    text-align: center;
    font-size: 0.9rem;
}

.form-feedback.success {
    background: #00ff00;
    color: #000;
}

.form-feedback.error {
    background: #ff0000;
    color: #fff;
}

.hidden {
    display: none;
}


footer {
    margin: 2em auto 0;
    width: 100%;
    padding-top: 3em;
    border-top: 3px solid var(--border-color);
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    font-size: .8rem;
}

.cont-alert {
    overflow: hidden;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;

    width: 90%;
    max-width: 450px;
    background-color: var(--card-bg);
    border: 3px solid var(--border-color);
    box-shadow: 10px 10px 0 var(--shadow-color);
    display: flex;
    flex-direction: column;
    transition: border-top 2s ease;
}

.cont-alert::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 5px;
    background-color: var(--load-color);
    transform-origin: left;
    transform: scaleX(0);
    /* Por defecto empieza en 0 */
}

.cont-alert.activo::after {
    animation: alertTimer 3.7s linear forwards;
}

@keyframes alertTimer {
    from {
        transform: scaleX(1);
    }

    to {
        transform: scaleX(0);
    }
}

.cab-alert {
    background-color: var(--text-color);
    color: var(--bg-color);
    padding: 0.6rem 1rem;
    border-bottom: 3px solid var(--border-color);

}

.cab-alert p {
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin: 0;
}

.body-alert {
    padding: 1.5rem;
    font-weight: 500;
    line-height: 1.4;
    color: var(--text-color);
}

.cerrar {
    opacity: 0;
    visibility: hidden;
}


/* Media queries. */

@media (width >=800px) {
    .card {
        flex-direction: row;
        margin-bottom: 2em;
        /* Más espacio entre tarjetas */
    }

    /* Columna de Medios: Fijamos el ancho al 45% para alineación perfecta */
    .cont-image,
    .cont-vide {
        width: 45%;
        border-right: 3px solid var(--border-color);
        flex-shrink: 0;
    }

    .cont-infoProyect {
        width: 55%;
    }

    .cont-datos {
        display: flex;
        flex-direction: row;
        gap: 1em;
    }

    .cont-input {
        width: 50%;
    }

    .cont-cabForm {
        flex-direction: row;
    }

    .btn-mensaje {
        margin: 0;
        margin-left: auto;
        flex-direction: column;
    }
}